Promo Code Exception Lists

Create a Promo Code Exception List

post

Creates a new, empty list for promo codes that will have exceptional payout rates.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
Body
ActionTrackerIdstringRequired

Comma-separated list of event type IDs to associate with this list.

Example: 18500
CampaignIdstringRequired

The program ID this list applies to.

Example: 1000
NamestringRequired

The name for the new exception list.

Example: Excluded-Influencer-Codes
Responses
200

The request was successful.

application/json
StatusstringOptional

Indicates whether the operation was successful.

Example: OK
Uristring · uri-referenceOptional

The unique reference to the affected resource.

post
/Advertisers/{AccountSID}/PromoCodeExceptionLists
cURL
200

The request was successful.

Get Promo Code Exception List Details

get

Retrieves the details of an existing promo code exception list by its unique ID.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
ListIdstringRequired

The unique identifier for the promo code exception list.

Responses
200

A single promo code exception list object.

application/json
IdstringOptional

The unique identifier for the promo code exception list.

Example: 99999
NamestringOptional

The display name for the exception list.

Example: Excluded-Influencer-Codes
Statestring · enumOptional

The current state of the exception list.

Possible values:
CampaignIdstringOptional

The program ID the list applies to.

Example: 1000
CreatedDatestring · date-timeOptional

The date and time the list was created.

Example: 2026-01-15T10:00:00-08:00
DeactivationDatestring · date-time · nullableOptional

The date and time the list was deactivated, if applicable.

Example: 2026-12-31T23:59:59-08:00
NumberOfItemsstringOptional

The total number of items in the list.

Example: 50
ItemsUristring · uri-referenceOptional

The unique reference to the items collection for this list.

Example: /Advertisers/<AccountSID>/PromoCodeExceptionLists/99999/Items
Uristring · uri-referenceOptional

The unique reference to this exception list in the impact.com API.

Example: /Advertisers/{AccountSID}/PromoCodeExceptionLists/12345
get
/Advertisers/{AccountSID}/PromoCodeExceptionLists/{ListId}
cURL
200

A single promo code exception list object.

Update a Promo Code Exception List

put

Updates the specified promo code exception list's name or associated action trackers.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
ListIdstringRequired

The unique identifier for the promo code exception list.

Body
ActionTrackerIdstringOptional

A new comma-separated list of event type IDs.

Example: 18500
NamestringOptional

A new name for the exception list.

Example: Excluded-Influencer-Codes
Responses
200

The request was successful.

application/json
StatusstringOptional

Indicates whether the operation was successful.

Example: OK
Uristring · uri-referenceOptional

The unique reference to the affected resource.

put
/Advertisers/{AccountSID}/PromoCodeExceptionLists/{ListId}
cURL
200

The request was successful.

Last updated